# Get noname card embossing info Get noname card embossing group information. Noname cards are batch-generated and not initially associated with customers, which occurs later. Contact your Pismo representative to set up your embossing configuration and process. For more information on embossing, refer to the [Physical card embossing](doc:physical-card-embossing) guide. **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Embossing data", "description": "Embossing data endpoints" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "CardID2": { "type": "integer", "description": "Pismo card ID", "example": 123456 }, "EmbossingGroup": { "type": "string", "description": "Embossing group name. Clients can work with multi-embossers. You can use this field to notify an embosser about a card request. If this parameter is not passed, and you work with multi-embossers, the default embosser is used. For more information, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n", "minLength": 2, "maxLength": 32, "example": "EM1-embosser" }, "GetNonameEmbossingInfoResponse": { "type": "object", "description": "Get noname embossing information object response", "properties": { "program_id": { "$ref": "#/components/schemas/ProgramID" }, "card_id": { "$ref": "#/components/schemas/CardID2" }, "embossing_group": { "$ref": "#/components/schemas/EmbossingGroup" } } }, "ProgramID": { "type": "integer", "description": "Pismo program ID", "example": 7654 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } } }, "paths": { "/embossing/v1/cards/noname/{cardId}": { "get": { "operationId": "get-noname-embossing-info", "summary": "Get noname card embossing info", "description": "Get noname card embossing group information.\n\nNoname cards are batch-generated and not initially associated with customers, which occurs later.\n\nContact your Pismo representative to set up your embossing configuration and process. For more information on embossing, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "Embossing data" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "responses": { "200": { "description": "Get noname card embossing information response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetNonameEmbossingInfoResponse" }, "example": { "program_id": 12, "card_id": 123, "embossing_group": "embosser-1" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-bad-request": { "value": { "message": "the param cardId is invalid", "error": "bad_request", "status": 400, "error_code": "" } } } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-not-found": { "value": { "message": "card not found", "error": "not_found", "status": 404, "error_code": "" } } } } } } } } } } } ```